/*
 * File         : StoreMsg.java
 * Author       : Tomasz Stachowiak
 * Created      : Tue Jun 24 13:51:11 1997
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1997
 */

import java.io.*;

class StoreMsg {

  
  static int SIZE = 30;
  static int STORE = 5;
  byte [] buf;

  int length;

  public StoreMsg() {

    buf = new byte[SIZE];
  }

  public int read(InputStream is) {

    try {

      if(is.read() == STORE)
  	length = is.readInt();
       else
	return -1;
    } catch (IOException e) {

      System.out.println("StoreMsg: " + e);
      return -1;
    }

    return length;

  }

  public int getLength() {

    return length;
  }

}
